## ros-kinetic-robomaker-simulation-msgs 1.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(robomaker_simulation_msgs)

find_package(catkin REQUIRED COMPONENTS
    std_msgs
    message_generation
)

add_message_files(
	FILES
	Tag.msg
)

add_service_files(
	FILES
	Cancel.srv
	ListTags.srv
	AddTags.srv
	RemoveTags.srv
)

generate_messages(
    DEPENDENCIES std_msgs
)

catkin_package(
	CATKIN_DEPENDS message_runtime std_msgs
)

=== debian/changelog ===
ros-kinetic-robomaker-simulation-msgs (1.1.1-1xenial) xenial; urgency=high

  * Add newlines to CMakeLists (#10 <https://github.com/aws-robotics/aws-robomaker-simulation-ros-pkgs/issues/10>) (#12 <https://github.com/aws-robotics/aws-robomaker-simulation-ros-pkgs/issues/12>)
  * Merge pull request #9 <https://github.com/aws-robotics/aws-robomaker-simulation-ros-pkgs/issues/9> from aws-robotics/kinetic-dep
    Remove rospy from CMakeLists.txt
  * Remove rospy from CMakeLists.txt
  * Minor fixes to sample code snippets (#8 <https://github.com/aws-robotics/aws-robomaker-simulation-ros-pkgs/issues/8>)
  * Merge pull request #4 <https://github.com/aws-robotics/aws-robomaker-simulation-ros-pkgs/issues/4> from aws-robotics/samuelgundry-dev
    README step for adding dependency to package.xml
  * README step for adding dependency to package.xml
  * Document install steps for robomaker_simulation_msgs README (#3 <https://github.com/aws-robotics/aws-robomaker-simulation-ros-pkgs/issues/3>)
  * Merge pull request #2 <https://github.com/aws-robotics/aws-robomaker-simulation-ros-pkgs/issues/2> from aws-robotics/samuelgundry-dev
    Document permissions in msgs README
  * Document permissions in msgs README
  * Update README.md, syntax highlighting for python
  * Initial commit to add robomaker_simulation_msgs and aws_robomaker_simulation_ros_pkgs (#1 <https://github.com/aws-robotics/aws-robomaker-simulation-ros-pkgs/issues/1>)
  * Contributors: Anamika Mukherji, Connor Gibb, Devin Bonnie, Matthew Murphy, Sam Gundry, Samuel Gundry

 -- AWS RoboMaker <ros-contributions@amazon.com>  Mon, 09 Nov 2020 00:00:00 -0000

=== debian/control ===
Source: ros-kinetic-robomaker-simulation-msgs
Section: misc
Priority: optional
Maintainer: AWS RoboMaker <ros-contributions@amazon.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-message-generation, ros-kinetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-robomaker-simulation-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-message-runtime, ros-kinetic-std-msgs
Description: AWS RoboMaker package containing ROS service definitions for service endpoints provided inside of an AWS RoboMaker simulation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-robomaker-simulation-msgs//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
